<div class="container">  
  <!-- Page Heading -->
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <h1 class="page-header">{% t "Shopping Cart" %}</h1>
    </div>
  </div>
  <!-- /.row -->

  {% if order.products.size == 0 %}
  <div class="row">    
    <section class="col-lg-12">
      <div class="bg-info alert">{% t "The shopping cart is currently empty. You can go back and start adding products." %}</div>
      <a href="{{store.url}}" class="btn btn-link" title="&larr; {% t 'Go back & Keep Shopping' %}">&larr; {% t "Go back & Keep Shopping" %}</a>
    </section>    
  </div>
  {% else %}

  <!-- Cart Table -->
	  
  <div class="col-sm-12 col-md-8">
    <div class="row">
    <form id="cart-update-form" method="post" action="{{order.update_url}}">
      <div class="table-responsive">
      	<table class="table">
        <thead>
        <tr>
          <th>{% t "Product" %}</th>
          <th class="hidden-xs"></th>
          <th class="hidden-xs">{% t "Unit Price" %}</th>
          <th>{% t "Qty" %}</th>
          <th>{% t "Subtotal" %}</th>
          <th></th>
        </tr>
      </thead>
        {% for product in order.products %}
        <tr>
          <td>
          {% if product.options.size > 0 %}
          <h3>{{product.name}}</h3>
            {% for option in product.options %}
            <small>{{option.name}}: {{option.value}}</small><br>
            {% endfor %}          
          {% else %}
          <h3>            
            {{product.name}}
          </h3>
          {% endif %}          
          </td>
          <td class="text-center hidden-xs">
          	<a href="{{ product.url }}" class="trsn" title="{{product.name}}">
              {% if product.images.size > 0 %}
              <img src="{{ product.images.first | resize: '120x100'}}" alt="{{product.name}}" title="{{product.name}}">
              {% else %}
              <img src="{{ 'no-image-cart.jpg' | asset }}" alt="{{product.name}}">
              {% endif %}
            </a>
          </td>
          <td class="hidden-xs">
          	{% if product.discount > 0 %}
            <div class="cart-product-discount">
              <span>
                {{ product.price | minus:product.discount | price }}
                <br>
                <small>({{ product.price | price }})</small>
              </span>
            </div>
            {% else %}
            <span class="order-product-price">{{ product.price | price }}</span>
            {% endif %}
          </td>
          <td>
          	 <select class="select select-qty form-control" name="{{product.id}}" title="Qty" onchange="$('#cart-update-form').submit();return false;">
               {% assign top_qty = product.qty | plus: 30 %}
               {% for qty in (1..top_qty) %}
               <option value="{{qty}}" {% if product.qty == qty %}selected="selected"{% endif %}>{{qty}}</option>
               {% endfor %}
            </select>
          </td>
          <td>
          	<span class="order-product-subtotal">{{ product.discount | times: product.qty | times: '-1' | plus: product.subtotal | price }}</span>
          </td>
          <td> <a href="{{product.remove_url}}" class="cart-product-remove" title="{% t 'Remove Product' %}"><i class="fa fa-times-circle-o fa-fw"></i></a></td>
        </tr>
        {% endfor %}
      </table>
      </div>
    </form>
    </div>    
    <div class="row">
      {% if coupon_form %}      
      <div class="col-sm-12 cart-discount text-center">
        <hr>
        <h4>{% t "Have a discount code?" %}</h4>       
        {{coupon_form}} 
        <hr class="visible-xs visible-sm hidden-md hidden-lg">
      </div>      
      {% endif %}
    </div>
  </div>  

  <!-- Cart Options -->
  <div class="col-sm-12 col-md-4">
   
    {% if order.shipping_required %}
    <div class="col-sm-12 col-md-12 cart-estimate">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h5 class="panel-title">{% t "Estimate Shipping Costs" %}</h5>
        </div>
        <div class="panel-body">{{estimate_form}}</div>
      </div>
    </div>
    {% endif %}

    <div class="col-sm-12 cart-totals">
      <table class="table table-striped">

        {% if order.subtotal != order.total %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Subtotal" %}</td>
          <td colspan="1" class="text-right">{{order.subtotal | price }}</td>
        </tr>
        {% endif %}

        {% if order.shipping > 0 %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Shipping" %}</td>
          <td colspan="1" class="text-right">{{order.shipping | price }}</td>
        </tr>
        {% endif %}

        {% if order.tax > 0 %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Tax" %}</td>
          <td colspan="1" class="text-right">{{order.tax | price }}</td>
        </tr>
        {% endif %}

        {% if order.discount > 0 %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Discount" %}</td>
          <td colspan="1" class="text-right">-{{order.discount | price }}</td>
        </tr>
        {% endif %}

        <tr class="totals key">
          <td colspan="1" class="text-left"><strong>{% t "Total" %}</strong></td>
          <td colspan="1" class="text-right"><strong>{{order.total | price }}</strong></td>
        </tr>

      </table>

      <div class="text-center cart-actions">
        <a href="{{order.checkout_url}}" class="btn btn-primary btn-block" title="{% t 'Proceed to Checkout' %}">{% t 'Proceed to Checkout' %}</a>

        <a href="{{store.url}}" class="btn btn-link btn-block" title="&larr; {% t 'Continue Shopping' %}">&larr; {% t 'Continue Shopping' %}</a>
      </div>
    </div>
    
  </div>
  {% endif %}
</div>
